#1396 send to outlook

1.0.6
closed
Robin Krom
Plug-in (5)
5
2013-04-04
2012-11-27
Anonymous
No
0 up votes | 0 down votes | 0%
6 comments

Software version: 1.0.6.2228 (64 bit)
.NET runtime version: 4.0.30319.296
Time: 2012-11-27 15:32:40 +01:00
OS: Windows 7 Service Pack 1 (x64) 6.1 build 7601 revision 10000
GDI object count: 124
User object count: 70
Exception: System.MissingMethodException
Message: Method 'System.__ComObject.Save' not found.

Stack:

Server stack trace:
at System.RuntimeType.InvokeMember(String name, BindingFlags bindingFlags, Binder binder, Object target, Object[] providedArgs, ParameterModifier[] modifiers, CultureInfo culture, String[] namedParams)
at Greenshot.Interop.COMWrapper.Invoke(IMessage myMessage)

Exception rethrown at [0]:
at System.Runtime.Remoting.Proxies.RealProxy.HandleReturnMessage(IMessage reqMsg, IMessage retMsg)
at System.Runtime.Remoting.Proxies.RealProxy.PrivateInvoke(MessageData& msgData, Int32 type)
at Greenshot.Interop.Office.Item.Save()
at Greenshot.Interop.Office.OutlookEmailExporter.<>c__DisplayClass2.<ExportToNewEmail>b__0()
at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean ignoreSyncCtx)
at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
at System.Threading.ThreadHelper.ThreadStart()

Configuration dump:
[Core]
Language=en-US
RegionHotkey=PrintScreen
WindowHotkey=Alt + PrintScreen
FullscreenHotkey=Ctrl + PrintScreen
LastregionHotkey=Shift + PrintScreen
IEHotkey=Ctrl + Shift + PrintScreen
IsFirstLaunch=False
Destinations=FileNoDialog,Editor
ClipboardFormats=DIB,PNG
CaptureMousepointer=True
CaptureWindowsInteractive=True
CaptureDelay=99
ScreenCaptureMode=Auto
ScreenToCapture=1
WindowCaptureMode=Auto
WindowCaptureAllChildLocations=False
DWMBackgroundColor=Transparent
PlayCameraSound=False
ShowTrayNotification=False
OutputFilePath=C:\Users\misa.mirkovic\Desktop\GreenShot
OutputFileAllowOverwrite=True
OutputFileFilenamePattern=${title}_${YYYY}-${MM}-${DD}_${hh}-${mm}-${ss}
OutputFileFormat=png
OutputFileReduceColors=False
OutputFileAutoReduceColors=True
OutputFileCopyPathToClipboard=True
OutputFileAsFullpath=C:\Users\misa.mirkovic\Desktop\JC.jpg
OutputFileJpegQuality=41
OutputFilePromptQuality=False
OutputFileIncrementingNumber=1
OutputPrintPromptOptions=True
OutputPrintAllowRotate=True
OutputPrintAllowEnlarge=True
OutputPrintAllowShrink=True
OutputPrintCenter=True
OutputPrintInverted=False
OutputPrintGrayscale=False
OutputPrintFooter=True
OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} - ${title}
NotificationSound=default
UseProxy=True
IECapture=True
IEFieldCapture=False
WindowClassesToCheckForIE=AfxFrameOrView70,IMWindowClass
AutoCropDifference=10
IncludePlugins=
ExcludePlugins=
ExcludeDestinations=OneNote
UpdateCheckInterval=1
LastUpdateCheck=11/27/2012 09:02:40
DisableSettings=False
DisableQuickSettings=False
DisableTrayicon=False
HideExpertSettings=False
ThumnailPreview=True
NoGDICaptureForProduct=intellij,idea
NoDWMCaptureForProduct=citrix,ica,client
OptimizeForRDP=False
MinimizeWorkingSetSize=False
CheckForUnstable=False
ActiveTitleFixes=Firefox,IE,Chrome
TitleFixMatcher.Firefox= - Mozilla Firefox.*
TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.*
TitleFixMatcher.Chrome= - Google Chrome.*
TitleFixReplacer.Firefox=
TitleFixReplacer.IE=
TitleFixReplacer.Chrome=
EnableSpecialDIBClipboardReader=True

Discussion

  • Robin Krom
    Robin Krom
    2012-11-27

    Hi,

    What version of Outlook are you using?

    Best wishes,
    Robin

     
  • discosmiter
    discosmiter
    2012-11-28

    Outlook 2010, (14.0.6126)

    Problem occures in following steps:
    - account settings in Outlook is open
    - print screen - catch this account settings window
    - click on "send to outlook " button in greenshot.

    It seems that outlook cannot create new mail window or something while account settings window is opened - and that is crushing greenshot.

     
  • Robin Krom
    Robin Krom
    2012-11-28

    • labels: --> Plug-in
    • milestone: --> 1.0.6
    • assigned_to: nobody --> apex75
     
  • Robin Krom
    Robin Krom
    2012-11-28

    Hi,

    yes, having a dialog open (not only the account settings) will cause problems with Outlook.
    Will check if I can do something about this for Greenshot 1.1, with other MS Office applications the behavior is similar but somehow better to detect & handle.

    Best wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2012-11-28

    • status: open --> closed-fixed
     
  • Robin Krom
    Robin Krom
    2012-11-28

    Will be fixed with Greenshot 1.1

    More exactly, every build >= 2323. for example Greenshot 1.1.0.2323

    This is not yet available for download, but you could expect new builds to arrive for testing soon.

    Best wishes,
    Robin

     
  • Jens Klingen
    Jens Klingen
    2013-04-04

    • Status: closed-fixed --> closed